Categories:
  - Games
License: GPL-3.0-or-later
SourceCode: https://github.com/HassanHeydariNasab/defendo
IssueTracker: https://github.com/HassanHeydariNasab/defendo/issues
Bitcoin: 16D7Nroenpx4QDNqfq3Js7sdAVhew2NzGp

Description: |-
    You are called to defend a base.

    A tower defense game developed using Godot v2.1.4.

RepoType: git
Repo: https://github.com/HassanHeydariNasab/defendo.git

Builds:
  - versionName: 2.3.1
    versionCode: 6
    commit: 93a4c98e5b8482c6d7d7fb8abe3fa1d3fed9683a
    output: defendo.apk
    srclibs:
      - Godot@2.1.2-stable-0-gc508b5b2e14c43a6e7a629f0d655a0e5ddcd6cd7
    prebuild:
      - mkdir defendo
      - bash -O extglob -c "mv !(defendo) defendo"
      - cp -R $$Godot$$ godot
    target: android-19
    build:
      - cd godot
      - scons -j `nproc` p=server unix_global_settings_path=".."
      - export ANDROID_NDK_ROOT=$$NDK$$
      - scons -j `nproc` p=android target=release
      - pushd platform/android/java/
      - gradle assembleRelease
      - popd
      - export HOME=$PWD
      - mkdir -p ../templates/
      - cp bin/android_release.apk ../templates
      - cd ../defendo
      - ../godot/bin/godot_server.server.tools.* -export Android ../defendo.apk

  - versionName: 2.4.0
    versionCode: 7
    commit: 28fbfdcac66871b7fc33b4f5418613b6a9bf798a
    output: defendo.apk
    srclibs:
      - Godot@b61462268e9a8a2c86c1abd5bc65cd96659fa979
    prebuild:
      - mkdir defendo
      - bash -O extglob -c "mv !(defendo) defendo"
      - cp -R $$Godot$$ godot
    target: android-19
    build:
      - cd godot
      - scons -j `nproc` p=server unix_global_settings_path=".."
      - export ANDROID_NDK_ROOT=$$NDK$$
      - scons -j `nproc` p=android target=release
      - pushd platform/android/java/
      - gradle assembleRelease
      - popd
      - export HOME=$PWD
      - mkdir -p ../templates/
      - cp bin/android_release.apk ../templates
      - cd ../defendo
      - ../godot/bin/godot_server.server.tools.* -export Android ../defendo.apk

  - versionName: 2.5.0
    versionCode: 8
    commit: 5992c529fec860fe5c09df9df44904e2a7732381
    output: defendo.apk
    srclibs:
      - Godot@b61462268e9a8a2c86c1abd5bc65cd96659fa979
    prebuild:
      - mkdir defendo
      - bash -O extglob -c "mv !(defendo) defendo"
      - cp -R $$Godot$$ godot
    target: android-19
    build:
      - cd godot
      - scons -j `nproc` p=server unix_global_settings_path=".."
      - export ANDROID_NDK_ROOT=$$NDK$$
      - scons -j `nproc` p=android target=release
      - pushd platform/android/java/
      - gradle assembleRelease
      - popd
      - export HOME=$PWD
      - mkdir -p ../templates/
      - cp bin/android_release.apk ../templates
      - cd ../defendo
      - ../godot/bin/godot_server.server.tools.* -export Android ../defendo.apk

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.5.0
CurrentVersionCode: 8
